GDCM 3.2.1

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Attribute< Group, Element, TVR, VM::VM1 > Class Template Reference

`#include <gdcmAttribute.h>`

Inheritance diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1 >:
[legend]
Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1 >:
[legend]

## Public Types
enum |
enum | { VMType = VMToLength<VM::VM1>::Length }
typedef VRToType< TVR >::Type | ArrayType

## Public Member Functions
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
| GDCM_STATIC_ASSERT (((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)))
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT (VMToLength< VM::VM1 >::Length==1)
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue ()
ArrayType const & | GetValue () const
const ArrayType * | GetValues () const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
ArrayType & | operator[] (unsigned int idx)
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetValue (ArrayType v)
void | SetValues (const ArrayType *array, unsigned int numel=VMType)

## Static Public Member Functions
static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes
ArrayType | Internal

## Protected Member Functions
void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)

## Member Typedef Documentation

## ◆ ArrayType

template<uint16_t Group, uint16_t Element, long long TVR>

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, VM::VM1 >::ArrayType

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

## ◆ anonymous enum

template<uint16_t Group, uint16_t Element, long long TVR>

anonymous enum

Enumerator
VMType |

## Member Function Documentation

## ◆ GDCM_STATIC_ASSERT() [1/4]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)) |  | ) |

References gdcm::VM::VM1, and gdcm::VR::VR_VM1.

## ◆ GDCM_STATIC_ASSERT() [2/4]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)) |  | ) |

References gdcm::VM::VM1.

## ◆ GDCM_STATIC_ASSERT() [3/4]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [4/4]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | VMToLength< VM::VM1 >::Length | = =1 | ) |

## ◆ GetAsDataElement()

template<uint16_t Group, uint16_t Element, long long TVR>

DataElement gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetAsDataElement | ( |  | ) | const
| inline

References gdcm_assert, GetNumberOfValues(), GetVR(), gdcm::DataElement::GetVR(), Internal, gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, and gdcm::VR::VRASCII.

## ◆ GetDictVM()

template<uint16_t Group, uint16_t Element, long long TVR>

VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVM | ( |  | ) |
| inline static

## ◆ GetDictVR()

template<uint16_t Group, uint16_t Element, long long TVR>

VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVR | ( |  | ) |
| inline static

## ◆ GetNumberOfValues()

template<uint16_t Group, uint16_t Element, long long TVR>

unsigned int gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetNumberOfValues | ( |  | ) | const
| inline

Referenced by GetAsDataElement(), operator!=(), operator<(), operator==(), SetByteValue(), and SetByteValueNoSwap().

## ◆ GetTag()

template<uint16_t Group, uint16_t Element, long long TVR>

Tag gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetTag | ( |  | ) |
| inline static

Referenced by Print().

## ◆ GetValue() [1/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType & gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) |
| inline

References Internal.

## ◆ GetValue() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType const & gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) | const
| inline

References Internal.

## ◆ GetValues()

template<uint16_t Group, uint16_t Element, long long TVR>

const ArrayType * gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValues | ( |  | ) | const
| inline

References Internal.

## ◆ GetVM()

template<uint16_t Group, uint16_t Element, long long TVR>

VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVM | ( |  | ) |
| inline static

References gdcm::VM::VM1.

## ◆ GetVR()

template<uint16_t Group, uint16_t Element, long long TVR>

VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVR | ( |  | ) |
| inline static

Referenced by GetAsDataElement(), and SetFromDataElement().

## ◆ operator!=()

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator<()

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator==()

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator[]()

ArrayType & gdcm::Attribute< Group, Element, TVR, TVM >::operator[] | ( | unsigned int | idx | ) |
| inline

## ◆ Print()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Print | ( | std::ostream & | os | ) | const
| inline

References GetTag(), and Internal.

## ◆ Set()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Set | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::GetDataElement(), and SetFromDataElement().

## ◆ SetByteValue()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValue | ( | const ByteValue * | bv | ) |
| inline protected

References gdcm_assert, gdcm::ByteValue::GetLength(), GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and Internal.

Referenced by SetFromDataElement().

## ◆ SetByteValueNoSwap()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) |
| inline protected

References gdcm_assert, gdcm::ByteValue::GetLength(), GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and Internal.

Referenced by SetFromDataElement().

## ◆ SetFromDataElement()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataElement | ( | DataElement const & | de | ) |
| inline

References gdcm_assert, gdcm::DataElement::GetByteValue(), gdcm::DataElement::GetTag(), GetVR(), gdcm::DataElement::GetVR(), gdcm::VR::INVALID, gdcm::DataElement::IsEmpty(), SetByteValue(), SetByteValueNoSwap(), and gdcm::VR::UN.

Referenced by Set(), and SetFromDataSet().

## ◆ SetFromDataSet()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataSet | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::FindDataElement(), gdcm::DataSet::GetDataElement(), and SetFromDataElement().

## ◆ SetValue()

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetValue | ( | ArrayType | v | ) |
| inline

References Internal.

## ◆ SetValues()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetValues | ( | const ArrayType * | array,
|  | unsigned int | numel = VMType )
| inline

## Member Data Documentation

## ◆ Internal

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Internal

Referenced by GetAsDataElement(), GetValue(), GetValue(), GetValues(), operator!=(), operator<(), operator==(), Print(), SetByteValue(), SetByteValueNoSwap(), and SetValue().

The documentation for this class was generated from the following file:

- gdcmAttribute.h